Subject: Re: [bug#77093] [PATCH rust-team 03/18] build-system: cargo: Support packaging Cargo workspace.

From: Hilton Chain <[email-masked]>
Date: Tue, 18 Mar 2025 20:07:26 +0800

On Tue, 18 Mar 2025 19:49:15 +0800,
Efraim Flashner wrote:
>
> [1  <multipart/mixed (7bit)>]
> [1.1  <text/plain; utf-8 (quoted-printable)>]
> I've attached a diff that removes the need for RUSTC_BOOTSTRAP that
> seems to work when I rebuilt rust-pubgrub.
>
> Some links I followed:
> https://doc.rust-lang.org/cargo/commands/cargo-publish.html#package-selection
> https://github.com/rust-lang/cargo/issues/10948#issuecomment-1229236664
> "One background knowledge: cargo publish is roughly `cargo package` +
> call crates.io API."
>
> Before and after:
>
> (ins)efraim@3900XT ~/workspace/guix-rust-team$ tree /gnu/store/zk1n23l2wdca8snz1wqllmjxv83hccl5-rust-pubgrub-0.3.0-0.b70cf70 | head
> /gnu/store/zk1n23l2wdca8snz1wqllmjxv83hccl5-rust-pubgrub-0.3.0-0.b70cf70
> └── share
>     ├── cargo
>     │   ├── registry
>     │   │   ├── pubgrub-0.3.0.crate
>     │   │   └── version-ranges-0.1.1.crate
>     │   └── src
>     │       ├── pubgrub-0.3.0
>     │       │   ├── benches
>     │       │   │   ├── backtracking.rs
> (ins)efraim@3900XT ~/workspace/guix-rust-team$ tree /gnu/store/9310sgn182cgqy4p1xkn2hi8x4wg0nn8-rust-pubgrub-0.3.0-0.b70cf70 | head
> /gnu/store/9310sgn182cgqy4p1xkn2hi8x4wg0nn8-rust-pubgrub-0.3.0-0.b70cf70
> └── share
>     ├── cargo
>     │   ├── registry
>     │   │   ├── pubgrub-0.3.0.crate
>     │   │   └── version-ranges-0.1.1.crate
>     │   └── src
>     │       ├── pubgrub-0.3.0
>     │       │   ├── benches
>     │       │   │   ├── backtracking.rs

Thanks!  It works for rust-pipewire too.